/* definitions */
$data-style-list:
	"":"Auto",
	"b-delimiter-medium": "Medium",
	"b-delimiter-dark": "Dark",
	"special": "Special"
;
$data-email-style-list = $data-style-list;



.b-delimiter {
	width: 100%;
	height: 1px;
	background-color: colors/$grey4;
	border: none;
	margin-top: look/$spacing-brick-top;
	margin-bottom: look/$spacing-brick-bottom;
	
	&:first-child {
		margin-top: 0;
	}
}

.b-delimiter-border {
	width:100%;
	height:1px;
	background-color: colors/$grey4;
}

/* special delimiter, customer specific */
.b-delimiter-medium {
 	background-color: colors/$grey3;
}
.b-delimiter-dark {
 	background-color: colors/$grey2;
}

.section.delimiter {
    margin-top: 40px;
    margin-bottom: 10px;
}

.multicolumn.delimiter {
	margin-bottom: 10px;
    border-top: solid 1px colors/$grey4;
}

.delimiter {
    .multicolumn {
    	border-top: solid 1px colors/$grey4;
    }
    
	.col {
	    height: 3px;
	}
	.col:first-child {
		padding-right: look/$spacing-column;
	}
	.col:last-child {
		padding-left: look/$spacing-column;
	}
	
	.border {
	    height: 3px;
	    background-color: colors/$grey4;
		
		&.nomargin {
			margin-right: 0;
		}
	}
	    
    &.margin-10 {
		margin-top: 10px;
		margin-bottom: 10px;
    }
    
    &.border-bottom {
    	border-top-width: 0px;
    	border-bottom: solid 1px colors/$grey4;
    	
    	.col {
    		height: auto;
    		position: relative;
    	}
    	
    	.border {
    		position: absolute;
    		bottom: -4px;
    		width: 100%;
    	}
    }
    
    &.swiss-flag {
    	display:block;
    	margin:look/$spacing-10 0 0;
    	
    	&:after {
	        content: "";
		    display: block;
		    width:18px;
    		height:18px;
		    background-image: mageba/design/swiss-cross;
		    background-repeat:no-repeat;
		    background-size:contain;
		    margin-left:3px;
    		margin-right:3px;
		}
    }
}